#### GENERATION

#### Synopsis

    HELP:   Signature generation
    TYPE:   OBJECT
    SYNTAX: GENERATION(FILE='str'/STREAM/DUMMY,FORMAT.{},FKM5())

#### Description

The signature generation object defines all parameters needed to generate a detached signature.

This object contains signature file definitions, FKM5 parameters and also other format-specific parameters.

As the signature files are part of the original data, signatures are completely held in the memory and written to the desired file.

#### Arguments

- `STRING: FILE='str'/STREAM/DUMMY - Name of the signature file`
  - `STREAM - Read from stdin or write to stdout`
  - `DUMMY - Read EOF or write nothing`